Summary: Exim SpamAssassin at SMTP time.
Name: sa-exim
Version: 4.2.1
Release: 9%{?dist}
License: GPL2
Group: System Environment/Daemons
URL: http://marc.merlins.org/linux/exim/sa.html
Source: http://marc.merlins.org/linux/exim/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: links
Requires: exim >= 4.11
# Can't use versioned obsoletes, because exim-sa has broken version
#Provides: exim-sa = %{evr}
#Obsoletes: exim-sa <= %{evr}
Provides: exim-sa
Obsoletes: exim-sa

%description
Allows running of SA on incoming mail and rejection at SMTP time as
well as other nasty things like teergrubing.

%prep
%setup -q

%build
perl -pi -e 's|\@lynx|HOME=/ /usr/bin/lynx|g;' Makefile
make SACONF=%{_sysconfdir}/exim/sa-exim.conf CFLAGS="$RPM_OPT_FLAGS -fPIC"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libexecdir}/exim
mkdir -p %{buildroot}%{_sysconfdir}/exim
install *.so  %{buildroot}%{_libexecdir}/exim
install -m 644 *.conf %{buildroot}%{_sysconfdir}/exim
ln -s sa-exim*.so %{buildroot}%{_libexecdir}/exim/sa-exim.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc *.html ACKNOWLEDGEMENTS INSTALL LICENSE TODO
%config(noreplace) %{_sysconfdir}/exim/sa-*.conf
%{_libexecdir}/exim


%changelog
* Sun Apr 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.2.1-9
- Update to 4.2.1.

* Mon Sep 13 2004 Thomas Woerner <twoerner@redhat.com>
- update to sa-exim-4.1: fixes spamassassin's new score= string (#131796)

* Sun Feb  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off sa-exim package from exim.
